alter table smsschparm add column tovetr_adj varchar(3);



create table lmsbibliography_bak as select * from lmsbibliography;

drop table lmsbibliography;

CREATE TABLE lmsbibliography (
    bid integer DEFAULT nextval(('lmsbibliography_seq'::text)) NOT NULL,
    smsschcd character varying(30) NOT NULL,
    callno character varying(20) NOT NULL,
    barcode character varying(20) NOT NULL,
    ctype character varying(3),
    title text,
    otitle text,
    lancat character varying(10),
    subcat character varying(10),
    isbn character varying(20),
    author text,
    publisherid integer,
    edition character varying(10),
    binding character varying(3),
    vol character varying(3),
    nopages integer,
    pubyr character varying(4),
    bdate date,
    colloc character varying(10),
    synopsis text,
    price numeric(10,2),
    quantity smallint,
    image oid,
    orderno character varying(11),
    donatorid integer,
    status character varying(3),
    crby character varying(50),
    crdate date,
    lupdateby character varying(50),
    lupdate date,
    size character varying(50),
    mattype character varying(3),
    marc text,
    stdupddt date
);


ALTER TABLE public.lmsbibliography OWNER TO school;

CREATE UNIQUE INDEX barcode_lmsbibliography_ukey ON lmsbibliography USING btree (barcode, smsschcd);

CREATE UNIQUE INDEX lmsbibliography_idx ON lmsbibliography USING btree (bid, smsschcd);

CREATE INDEX lmsbibliography_idx2 ON lmsbibliography USING btree (title);

insert into lmsbibliography select bid, smsschcd, callno,barcode,ctype,title,otitle,lancat,subcat,isbn,author,publisherid,edition,binding,vol,nopages,pubyr,bdate,colloc,synopsis,price,quantity,image,orderno,donatorid,status,crby,crdate,lupdateby,lupdate,size,mattype,marc, stdupddt from lmsbibliography_bak;


/* ========= Default Schools ========= */
/* Student Fees Module */
/* ---- SMA10001 ---- */
delete from menubar where menuid='SMA10001';

insert into menubar (menuid, lang, menudesc, menuitem, schgrp) values ('SMA10001','BI','Student Fees (Admin)','{Parameter Setup}{|General Setting,/sms/asp_sms_fe_gen_param.php?appcd=SMA,_self}{|Fees Setup and Amount}{||Create,/sms/asp_sms_fe_fees_parm.php?act=create,_self}{||Maintain,/sms/asp_sms_fe_fees_parm.php?act=maint,_self}{||Delete,/sms/asp_sms_fe_fees_parm.php?act=delete,_self}{|Incentives Discount Rate}{||Create, /sms/asp_sms_bs_lkref.php?act=create&lktyp=inc_dis,_self}{||Edit, /sms/asp_sms_bs_lkref.php?act=maint&lktyp=inc_dis,_self}{||Delete, /sms/asp_sms_bs_lkref.php?act=delete&lktyp=inc_dis,_self}{|Student Discount Rate,/sms/asp_sms_bs_comm_sel.php?act=maint&typ=student&txtyp=fe_disc,_self}{Invoice Mgmt}{|Invoicing}{||Create,/sms/asp_sms_bs_comm_sel.php?act=create&typ=class&txtyp=fe_debit,_self}{||Cancel,/sms/asp_sms_bs_comm_sel.php?act=cancel&typ=class&txtyp=fe_debit,_self}{||Print Invoice}{|||By Student,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=fe_print_invno&s_printcombine=1,_self}{|||By Fees,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=class&txtyp=fe_print_invno_byfees,_self}{Payment Mgmt}{|Collection}{||Invoicing Fees Collection,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=fe_col,_self}{||Adhoc Fees Collection}{|||Application Fees,/sms/asp_sms_bs_comm_enq.php?act=create&typ=fee&txtyp=app_fees,_self}{|||Registration Fee,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=fe_col_reg,_self}{|||Deposit,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=fe_col_dep,_self}{|||Other Fees,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=fe_col_oth,_self}{|Refund,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=fe_refund,_self}{|Reversal,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=fe_reverse,_self}{|Reprint Official Receipt,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=fe_print_rcptno,_self}{|Reprint Credit Note,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=fe_print_dvseq,_self}{Post-Dated Cheque}{|Bank}{||Create,/sms/asp_sms_fe_bank.php?act=create,_self}{||Edit,/sms/asp_sms_bs_comm_enq.php?act=maint&typ=bank&txtyp=bank,_self}{||Delete,/sms/asp_sms_bs_comm_enq.php?act=delete&typ=bank&txtyp=bank,_self}{||Enquiry,/sms/asp_sms_bs_comm_enq.php?act=enq&typ=bank&txtyp=bank,_self}{|Post-Dated Cheque Profile}{||Create,/sms/asp_sms_fe_pstchq.php?act=create,_self}{||Edit,/sms/asp_sms_bs_comm_enq.php?act=maint&typ=fe_pstchq&txtyp=fe_pstchq,_self}{||Delete,/sms/asp_sms_bs_comm_enq.php?act=delete&typ=fe_pstchq&txtyp=fe_pstchq,_self}{||Enquiry,/sms/asp_sms_bs_comm_enq.php?act=enq&typ=fe_pstchq&txtyp=fe_pstchq,_self}{|Update Clearing Status,/sms/asp_sms_bs_comm_enq.php?act=maint&typ=fe_pstchq&txtyp=upd_status,_self}{|Reinstate Returned Cheque,/sms/asp_sms_bs_comm_enq.php?act=reinstate&typ=fe_pstchq&txtyp=rtn_chq,_self}{|Reinstate Cleared Cheque,/sms/asp_sms_bs_comm_enq.php?act=reinstate&typ=fe_pstchq&txtyp=clr_chq,_self}{|Reinstate Canceled/Deleted Cheque,/sms/asp_sms_bs_comm_enq.php?act=reinstate&typ=fe_pstchq&txtyp=del_chq,_self} {Enquiry}{|Fees}{||Fees Listing,/sms/asp_sms_fe_list.php?typ=feelist,_self}{||Fees History,/sms/asp_sms_fe_list.php?typ=htrlist,_self}{|Invoices}{||Invoices Status,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=class&txtyp=fe_debit,_self}{||Issued Invoices,/sms/asp_sms_fe_comm_enq.php?typ=date&txtyp=invno,_self}{||Cancelled Invoices,/sms/asp_sms_bs_comm_msel.php?typ=student&txtyp=sma_inv_cancel,_self}{||Overdue Invoices,/sms/asp_sms_fe_comm_enq.php?typ=date&txtyp=over_invno,_self}{|Payment Collection}{||Payment Collection,/sms/asp_sms_bs_comm_msel.php?typ=student&txtyp=sma_pay_os,_self}{||Payment Collection & Oustanding,/sms/asp_sms_bs_comm_msel.php?typ=class&txtyp=sma_col_os,_self}{||Payment Collection & Oustanding (Summary),/sms/asp_sms_bs_comm_msel.php?typ=year&txtyp=sma_col_os,_self}{||Daily Collection Report,/sms/asp_sms_fe_comm_enq.php?typ=class&txtyp=col_daily,_self}{|Outstanding Fees Listing,/sms/asp_sms_bs_comm_msel.php?typ=student&txtyp=sma_fee_os,_self}{|Student Account Statement,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=fe_acc_stat,_self}{|Official Receipts Issued,/sms/asp_sms_fe_comm_enq.php?typ=date&txtyp=rcptno,_self}{|Credit Notes Issued,/sms/asp_sms_fe_comm_enq.php?typ=date&txtyp=dvseq,_self}{|Student Discount Rate, /sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=std_dis&act=enq, _self}',null);

insert into menubar (menuid, lang, menudesc, menuitem, schgrp) values ('SMA10001','BM','Student Fees (Admin)','{Parameter Setup}{|General Setting,/sms/asp_sms_fe_gen_param.php?appcd=SMA,_self}{|Fees Setup and Amount}{||Create,/sms/asp_sms_fe_fees_parm.php?act=create,_self}{||Maintain,/sms/asp_sms_fe_fees_parm.php?act=maint,_self}{||Delete,/sms/asp_sms_fe_fees_parm.php?act=delete,_self}{|Incentives Discount Rate}{||Create, /sms/asp_sms_bs_lkref.php?act=create&lktyp=inc_dis,_self}{||Edit, /sms/asp_sms_bs_lkref.php?act=maint&lktyp=inc_dis,_self}{||Delete, /sms/asp_sms_bs_lkref.php?act=delete&lktyp=inc_dis,_self}{|Student Discount Rate,/sms/asp_sms_bs_comm_sel.php?act=maint&typ=student&txtyp=fe_disc,_self}{Invoice Mgmt}{|Invoicing}{||Create,/sms/asp_sms_bs_comm_sel.php?act=create&typ=class&txtyp=fe_debit,_self}{||Cancel,/sms/asp_sms_bs_comm_sel.php?act=cancel&typ=class&txtyp=fe_debit,_self}{||Print Invoice}{|||By Student,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=fe_print_invno&s_printcombine=1,_self}{|||By Fees,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=class&txtyp=fe_print_invno_byfees,_self}{Payment Mgmt}{|Collection}{||Invoicing Fees Collection,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=fe_col,_self}{||Adhoc Fees Collection}{|||Application Fees,/sms/asp_sms_bs_comm_enq.php?act=create&typ=fee&txtyp=app_fees,_self}{|||Registration Fee,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=fe_col_reg,_self}{|||Deposit,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=fe_col_dep,_self}{|||Other Fees,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=fe_col_oth,_self}{|Refund,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=fe_refund,_self}{|Reversal,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=fe_reverse,_self}{|Reprint Official Receipt,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=fe_print_rcptno,_self}{|Reprint Credit Note,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=fe_print_dvseq,_self}{Post-Dated Cheque}{|Bank}{||Create,/sms/asp_sms_fe_bank.php?act=create,_self}{||Edit,/sms/asp_sms_bs_comm_enq.php?act=maint&typ=bank&txtyp=bank,_self}{||Delete,/sms/asp_sms_bs_comm_enq.php?act=delete&typ=bank&txtyp=bank,_self}{||Enquiry,/sms/asp_sms_bs_comm_enq.php?act=enq&typ=bank&txtyp=bank,_self}{|Post-Dated Cheque Profile}{||Create,/sms/asp_sms_fe_pstchq.php?act=create,_self}{||Edit,/sms/asp_sms_bs_comm_enq.php?act=maint&typ=fe_pstchq&txtyp=fe_pstchq,_self}{||Delete,/sms/asp_sms_bs_comm_enq.php?act=delete&typ=fe_pstchq&txtyp=fe_pstchq,_self}{||Enquiry,/sms/asp_sms_bs_comm_enq.php?act=enq&typ=fe_pstchq&txtyp=fe_pstchq,_self}{|Update Clearing Status,/sms/asp_sms_bs_comm_enq.php?act=maint&typ=fe_pstchq&txtyp=upd_status,_self}{|Reinstate Returned Cheque,/sms/asp_sms_bs_comm_enq.php?act=reinstate&typ=fe_pstchq&txtyp=rtn_chq,_self}{|Reinstate Cleared Cheque,/sms/asp_sms_bs_comm_enq.php?act=reinstate&typ=fe_pstchq&txtyp=clr_chq,_self}{|Reinstate Canceled/Deleted Cheque,/sms/asp_sms_bs_comm_enq.php?act=reinstate&typ=fe_pstchq&txtyp=del_chq,_self} {Enquiry}{|Fees}{||Fees Listing,/sms/asp_sms_fe_list.php?typ=feelist,_self}{||Fees History,/sms/asp_sms_fe_list.php?typ=htrlist,_self}{|Invoices}{||Invoices Status,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=class&txtyp=fe_debit,_self}{||Issued Invoices,/sms/asp_sms_fe_comm_enq.php?typ=date&txtyp=invno,_self}{||Cancelled Invoices,/sms/asp_sms_bs_comm_msel.php?typ=student&txtyp=sma_inv_cancel,_self}{||Overdue Invoices,/sms/asp_sms_fe_comm_enq.php?typ=date&txtyp=over_invno,_self}{|Payment Collection}{||Payment Collection,/sms/asp_sms_bs_comm_msel.php?typ=student&txtyp=sma_pay_os,_self}{||Payment Collection & Oustanding,/sms/asp_sms_bs_comm_msel.php?typ=class&txtyp=sma_col_os,_self}{||Payment Collection & Oustanding (Summary),/sms/asp_sms_bs_comm_msel.php?typ=year&txtyp=sma_col_os,_self}{||Daily Collection Report,/sms/asp_sms_fe_comm_enq.php?typ=class&txtyp=col_daily,_self}{|Outstanding Fees Listing,/sms/asp_sms_bs_comm_msel.php?typ=student&txtyp=sma_fee_os,_self}{|Student Account Statement,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=fe_acc_stat,_self}{|Official Receipts Issued,/sms/asp_sms_fe_comm_enq.php?typ=date&txtyp=rcptno,_self}{|Credit Notes Issued,/sms/asp_sms_fe_comm_enq.php?typ=date&txtyp=dvseq,_self}{|Student Discount Rate, /sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=std_dis&act=enq, _self}',null);

insert into menubar (menuid, lang, menudesc, menuitem, schgrp) values ('SMA10001','BC','Student Fees (Admin)','{Parameter Setup}{|General Setting,/sms/asp_sms_fe_gen_param.php?appcd=SMA,_self}{|Fees Setup and Amount}{||Create,/sms/asp_sms_fe_fees_parm.php?act=create,_self}{||Maintain,/sms/asp_sms_fe_fees_parm.php?act=maint,_self}{||Delete,/sms/asp_sms_fe_fees_parm.php?act=delete,_self}{|Incentives Discount Rate}{||Create, /sms/asp_sms_bs_lkref.php?act=create&lktyp=inc_dis,_self}{||Edit, /sms/asp_sms_bs_lkref.php?act=maint&lktyp=inc_dis,_self}{||Delete, /sms/asp_sms_bs_lkref.php?act=delete&lktyp=inc_dis,_self}{|Student Discount Rate,/sms/asp_sms_bs_comm_sel.php?act=maint&typ=student&txtyp=fe_disc,_self}{Invoice Mgmt}{|Invoicing}{||Create,/sms/asp_sms_bs_comm_sel.php?act=create&typ=class&txtyp=fe_debit,_self}{||Cancel,/sms/asp_sms_bs_comm_sel.php?act=cancel&typ=class&txtyp=fe_debit,_self}{||Print Invoice}{|||By Student,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=fe_print_invno&s_printcombine=1,_self}{|||By Fees,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=class&txtyp=fe_print_invno_byfees,_self}{Payment Mgmt}{|Collection}{||Invoicing Fees Collection,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=fe_col,_self}{||Adhoc Fees Collection}{|||Application Fees,/sms/asp_sms_bs_comm_enq.php?act=create&typ=fee&txtyp=app_fees,_self}{|||Registration Fee,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=fe_col_reg,_self}{|||Deposit,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=fe_col_dep,_self}{|||Other Fees,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=fe_col_oth,_self}{|Refund,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=fe_refund,_self}{|Reversal,/sms/asp_sms_bs_comm_sel.php?act=create&typ=student&txtyp=fe_reverse,_self}{|Reprint Official Receipt,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=fe_print_rcptno,_self}{|Reprint Credit Note,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=fe_print_dvseq,_self}{Post-Dated Cheque}{|Bank}{||Create,/sms/asp_sms_fe_bank.php?act=create,_self}{||Edit,/sms/asp_sms_bs_comm_enq.php?act=maint&typ=bank&txtyp=bank,_self}{||Delete,/sms/asp_sms_bs_comm_enq.php?act=delete&typ=bank&txtyp=bank,_self}{||Enquiry,/sms/asp_sms_bs_comm_enq.php?act=enq&typ=bank&txtyp=bank,_self}{|Post-Dated Cheque Profile}{||Create,/sms/asp_sms_fe_pstchq.php?act=create,_self}{||Edit,/sms/asp_sms_bs_comm_enq.php?act=maint&typ=fe_pstchq&txtyp=fe_pstchq,_self}{||Delete,/sms/asp_sms_bs_comm_enq.php?act=delete&typ=fe_pstchq&txtyp=fe_pstchq,_self}{||Enquiry,/sms/asp_sms_bs_comm_enq.php?act=enq&typ=fe_pstchq&txtyp=fe_pstchq,_self}{|Update Clearing Status,/sms/asp_sms_bs_comm_enq.php?act=maint&typ=fe_pstchq&txtyp=upd_status,_self}{|Reinstate Returned Cheque,/sms/asp_sms_bs_comm_enq.php?act=reinstate&typ=fe_pstchq&txtyp=rtn_chq,_self}{|Reinstate Cleared Cheque,/sms/asp_sms_bs_comm_enq.php?act=reinstate&typ=fe_pstchq&txtyp=clr_chq,_self}{|Reinstate Canceled/Deleted Cheque,/sms/asp_sms_bs_comm_enq.php?act=reinstate&typ=fe_pstchq&txtyp=del_chq,_self} {Enquiry}{|Fees}{||Fees Listing,/sms/asp_sms_fe_list.php?typ=feelist,_self}{||Fees History,/sms/asp_sms_fe_list.php?typ=htrlist,_self}{|Invoices}{||Invoices Status,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=class&txtyp=fe_debit,_self}{||Issued Invoices,/sms/asp_sms_fe_comm_enq.php?typ=date&txtyp=invno,_self}{||Cancelled Invoices,/sms/asp_sms_bs_comm_msel.php?typ=student&txtyp=sma_inv_cancel,_self}{||Overdue Invoices,/sms/asp_sms_fe_comm_enq.php?typ=date&txtyp=over_invno,_self}{|Payment Collection}{||Payment Collection,/sms/asp_sms_bs_comm_msel.php?typ=student&txtyp=sma_pay_os,_self}{||Payment Collection & Oustanding,/sms/asp_sms_bs_comm_msel.php?typ=class&txtyp=sma_col_os,_self}{||Payment Collection & Oustanding (Summary),/sms/asp_sms_bs_comm_msel.php?typ=year&txtyp=sma_col_os,_self}{||Daily Collection Report,/sms/asp_sms_fe_comm_enq.php?typ=class&txtyp=col_daily,_self}{|Outstanding Fees Listing,/sms/asp_sms_bs_comm_msel.php?typ=student&txtyp=sma_fee_os,_self}{|Student Account Statement,/sms/asp_sms_bs_comm_sel.php?act=enq&typ=student&txtyp=fe_acc_stat,_self}{|Official Receipts Issued,/sms/asp_sms_fe_comm_enq.php?typ=date&txtyp=rcptno,_self}{|Credit Notes Issued,/sms/asp_sms_fe_comm_enq.php?typ=date&txtyp=dvseq,_self}{|Student Discount Rate, /sms/asp_sms_bs_comm_sel.php?typ=class&txtyp=std_dis&act=enq, _self}',null);


delete from type where tyname='status' and appcd='LMS' and tyid='WO';

insert into type (appcd,tyname,lang,tyid,tyval,status,inactdate,createby,createdate,lupdateby,lupdatedate) values ('LMS','status','BI','WO','Write-Off','A',current_date,'Setup',current_date,'Setup',current_date);

insert into type (appcd,tyname,lang,tyid,tyval,status,inactdate,createby,createdate,lupdateby,lupdatedate) values ('LMS','status','BM','WO','Hapus Kira','A',current_date,'Setup',current_date,'Setup',current_date);

insert into type (appcd,tyname,lang,tyid,tyval,status,inactdate,createby,createdate,lupdateby,lupdatedate) values ('LMS','status','BC','WO','','A',current_date,'Setup',current_date,'Setup',current_date);

